--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_008_pos.ksh	Wed Aug 31 16:20:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_008_pos.ksh	Wed Aug 31 16:20:37 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 
 #
@@ -41,14 +45,14 @@
 
 function cleanup
 {
-	! ismounted $fs && log_must $ZFS mount $fs
+	! ismounted $fs && log_must zfs mount $fs
 
 	if datasetexists $fs1; then
-		log_must $ZFS destroy $fs1
+		log_must zfs destroy $fs1
 	fi
 
 	if [[ -f $testfile ]]; then
-		log_must $RM -f $testfile
+		log_must rm -f $testfile
 	fi
 }
 
@@ -61,32 +65,32 @@
 
 # Get the original mountpoint of $fs and $fs1
 mntpnt=$(get_prop mountpoint $fs)
-log_must $ZFS create $fs1
+log_must zfs create $fs1
 mntpnt1=$(get_prop mountpoint $fs1)
 
 testfile=$mntpnt/$TESTFILE0; testfile1=$mntpnt1/$TESTFILE1
-log_must $MKFILE 1M $testfile $testfile1
+log_must mkfile 1M $testfile $testfile1
 
-log_must $ZFS unmount $fs1
-log_must $ZFS set mountpoint=$mntpnt $fs1
-log_mustnot $ZFS mount $fs1
-log_must $ZFS mount -O $fs1
+log_must zfs unmount $fs1
+log_must zfs set mountpoint=$mntpnt $fs1
+log_mustnot zfs mount $fs1
+log_must zfs mount -O $fs1
 
 # Create new file in override mountpoint
-log_must $MKFILE 1M $mntpnt/$TESTFILE2
+log_must mkfile 1M $mntpnt/$TESTFILE2
 
 # Verify the underlying file system inaccessible
-log_mustnot $LS $testfile
-log_must $LS $mntpnt/$TESTFILE1 $mntpnt/$TESTFILE2
+log_mustnot ls $testfile
+log_must ls $mntpnt/$TESTFILE1 $mntpnt/$TESTFILE2
 
 # Verify $TESTFILE2 was created in $fs1, rather then $fs
-log_must $ZFS unmount $fs1
-log_must $ZFS set mountpoint=$mntpnt1 $fs1
-log_must $ZFS mount $fs1
-log_must $LS $testfile1 $mntpnt1/$TESTFILE2
+log_must zfs unmount $fs1
+log_must zfs set mountpoint=$mntpnt1 $fs1
+log_must zfs mount $fs1
+log_must ls $testfile1 $mntpnt1/$TESTFILE2
 
 # Verify $TESTFILE2 was not created in $fs, and $fs is accessable again.
-log_mustnot $LS $mntpnt/$TESTFILE2
-log_must $LS $testfile
+log_mustnot ls $mntpnt/$TESTFILE2
+log_must ls $testfile
 
 log_pass "Verify 'zfs mount -O' override mount point passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_009_neg.ksh	Wed Aug 31 16:20:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_009_neg.ksh	Wed Aug 31 16:20:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -72,10 +72,10 @@
 	typeset fs
 
 	cleanup_filesystem "$TESTPOOL" "$TESTFS1"
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 
 	[[ -d ${TEST_BASE_DIR%%/}/testroot$$ ]] && \
-		$RM -rf ${TEST_BASE_DIR%%/}/testroot$$
+		rm -rf ${TEST_BASE_DIR%%/}/testroot$$
 
 
 	return 0
@@ -97,11 +97,11 @@
 
 log_must setup_all
 
-log_must $ZFS $unmountall
+log_must zfs $unmountall
 
 typeset -i i=0
 while (( i < ${#args[*]} )); do
-	log_mustnot $ZFS ${args[i]}
+	log_mustnot zfs ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_010_neg.ksh	Wed Aug 31 16:20:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_010_neg.ksh	Wed Aug 31 16:20:37 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -43,7 +47,7 @@
 function cleanup
 {
 	if ! ismounted $fs; then
-		log_must $ZFS mount $fs
+		log_must zfs mount $fs
 	fi
 }
 
@@ -52,16 +56,16 @@
 
 fs=$TESTPOOL/$TESTFS
 if ! ismounted $fs; then
-	log_must $ZFS mount $fs
+	log_must zfs mount $fs
 fi
 
-log_mustnot $ZFS mount $fs
+log_mustnot zfs mount $fs
 
 mpt=$(get_prop mountpoint $fs)
-log_must $ZFS umount $fs
-curpath=`$DIRNAME $0`
+log_must zfs umount $fs
+curpath=`dirname $0`
 cd $mpt
-log_mustnot $ZFS mount $fs
+log_mustnot zfs mount $fs
 cd $curpath
 
 log_pass "zfs mount fails with mounted filesystem or busy moutpoint as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_011_neg.ksh	Wed Aug 31 16:20:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_011_neg.ksh	Wed Aug 31 16:20:37 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -42,11 +46,11 @@
 function cleanup
 {
 	if snapexists $TESTPOOL/$TESTFS@$TESTSNAP; then
-		log_must $ZFS destroy $TESTPOOL/$TESTFS@$TESTSNAP
+		log_must zfs destroy $TESTPOOL/$TESTFS@$TESTSNAP
 	fi
 
 	if is_global_zone && datasetexists $TESTPOOL/$TESTVOL; then
-		log_must $ZFS destroy $TESTPOOL/$TESTVOL
+		log_must zfs destroy $TESTPOOL/$TESTVOL
 	fi
 }
 
@@ -57,21 +61,21 @@
 set -A badargs "A" "-A" "-" "-x" "-?" "=" "-o *" "-a"
 
 for arg in "${badargs[@]}"; do
-	log_mustnot eval "$ZFS mount $arg $fs >/dev/null 2>&1"
+	log_mustnot eval "zfs mount $arg $fs >/dev/null 2>&1"
 done
 
 #verify that zfs mount fails with invalid dataset
 for opt in "-o abc" "-O"; do
-	log_mustnot eval "$ZFS mount $opt /$fs >/dev/null 2>&1"
+	log_mustnot eval "zfs mount $opt /$fs >/dev/null 2>&1"
 done
 
 #verify that zfs mount fails with volume and snapshot
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@$TESTSNAP
-log_mustnot eval "$ZFS mount $TESTPOOL/$TESTFS@$TESTSNAP >/dev/null 2>&1"
+log_must zfs snapshot $TESTPOOL/$TESTFS@$TESTSNAP
+log_mustnot eval "zfs mount $TESTPOOL/$TESTFS@$TESTSNAP >/dev/null 2>&1"
 
 if is_global_zone; then
-	log_must $ZFS create -V 10m $TESTPOOL/$TESTVOL
-	log_mustnot eval "$ZFS mount $TESTPOOL/$TESTVOL >/dev/null 2>&1"
+	log_must zfs create -V 10m $TESTPOOL/$TESTVOL
+	log_mustnot eval "zfs mount $TESTPOOL/$TESTVOL >/dev/null 2>&1"
 fi
 
 log_pass "zfs mount fails with bad parameters as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_all_001_pos.ksh	Wed Aug 31 16:20:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_all_001_pos.ksh	Wed Aug 31 16:20:37 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 
@@ -119,7 +124,7 @@
 	done
 
 	[[ -d ${TEST_BASE_DIR%%/}/testroot$$ ]] && \
-		$RM -rf ${TEST_BASE_DIR%%/}/testroot$$
+		rm -rf ${TEST_BASE_DIR%%/}/testroot$$
 }
 
 #
@@ -177,13 +182,13 @@
 log_must setup_all
 
 export __ZFS_POOL_RESTRICT="$TESTPOOL"
-log_must $ZFS $unmountall
+log_must zfs $unmountall
 unset __ZFS_POOL_RESTRICT
 
 verify_all false
 
 export __ZFS_POOL_RESTRICT="$TESTPOOL"
-log_must $ZFS $mountall
+log_must zfs $mountall
 unset __ZFS_POOL_RESTRICT
 
 verify_all true
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_001_pos.ksh	Wed Aug 31 16:20:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_001_pos.ksh	Wed Aug 31 16:20:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_promote/zfs_promote.cfg
@@ -48,14 +48,14 @@
 function cleanup
 {
 	if snapexists $csnap; then
-		log_must $ZFS promote $fs
+		log_must zfs promote $fs
 	fi
 	snapexists $snap && \
-		log_must $ZFS destroy -rR $snap
+		log_must zfs destroy -rR $snap
 
 	typeset data
 	for data in $file0 $file1; do
-		[[ -e $data ]] && $RM -f $data
+		[[ -e $data ]] && rm -f $data
 	done
 }
 
@@ -89,7 +89,7 @@
 		log_fail "There exists data file losing after zfs promote."
 	fi
 
-	log_mustnot $ZFS destroy -r $c_ds
+	log_mustnot zfs destroy -r $c_ds
 }
 
 log_assert "'zfs promote' can promote a clone filesystem."
@@ -106,19 +106,19 @@
 csnapfile=/$clone/.zfs/snapshot/$TESTSNAP/$TESTFILE0
 
 # setup for promte testing
-log_must $MKFILE $FILESIZE $file0
-log_must $ZFS snapshot $snap
-log_must $MKFILE $FILESIZE $file1
-log_must $RM -f $file0
-log_must $ZFS clone $snap $clone
-log_must $MKFILE $FILESIZE $cfile
+log_must mkfile $FILESIZE $file0
+log_must zfs snapshot $snap
+log_must mkfile $FILESIZE $file1
+log_must rm -f $file0
+log_must zfs clone $snap $clone
+log_must mkfile $FILESIZE $cfile
 
-log_must $ZFS promote $clone
+log_must zfs promote $clone
 # verify the 'promote' operation
 testing_verify $fs $file1 $snapfile $clone $cfile $csnapfile
 
 log_note "Verify 'zfs promote' can change back the dependency relationship."
-log_must $ZFS promote $fs
+log_must zfs promote $fs
 #verify the result
 testing_verify $clone $cfile $csnapfile $fs $file1 $snapfile
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_002_pos.ksh	Wed Aug 31 16:20:37 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_002_pos.ksh	Wed Aug 31 16:20:37 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_promote/zfs_promote.cfg
@@ -47,16 +47,16 @@
 function cleanup
 {
 	if snapexists $csnap1; then
-		log_must $ZFS promote $fs
+		log_must zfs promote $fs
 	fi
 
 	typeset ds
 	typeset data
 	for ds in $snap $snap1; do
-		log_must $ZFS destroy -rR $ds
+		log_must zfs destroy -rR $ds
 	done
 	for file in $TESTDIR/$TESTFILE0 $TESTDIR/$TESTFILE1; do
-		[[ -e $file ]] && $RM -f $file
+		[[ -e $file ]] && rm -f $file
 	done
 }
 
@@ -71,15 +71,15 @@
 csnap1=$clone@$TESTSNAP1
 
 # setup for promote testing
-log_must $MKFILE $FILESIZE $TESTDIR/$TESTFILE0
-log_must $ZFS snapshot $snap
-log_must $MKFILE $FILESIZE $TESTDIR/$TESTFILE1
-log_must $RM -f $testdir/$TESTFILE0
-log_must $ZFS snapshot $snap1
-log_must $ZFS clone $snap1 $clone
-log_must $MKFILE $FILESIZE /$clone/$CLONEFILE
+log_must mkfile $FILESIZE $TESTDIR/$TESTFILE0
+log_must zfs snapshot $snap
+log_must mkfile $FILESIZE $TESTDIR/$TESTFILE1
+log_must rm -f $testdir/$TESTFILE0
+log_must zfs snapshot $snap1
+log_must zfs clone $snap1 $clone
+log_must mkfile $FILESIZE /$clone/$CLONEFILE
 
-log_must $ZFS promote $clone
+log_must zfs promote $clone
 
 # verify the 'promote' operation
 for ds in $csnap $csnap1; do
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_003_pos.ksh	Wed Aug 31 16:20:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_003_pos.ksh	Wed Aug 31 16:20:38 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_promote/zfs_promote.cfg
@@ -48,7 +48,7 @@
 function cleanup
 {
 	if snapexists ${csnap[2]}; then
-		log_must $ZFS promote $fs
+		log_must zfs promote $fs
 	fi
 
 	typeset ds
@@ -55,10 +55,10 @@
 	typeset data
 	for ds in ${snap[*]}; do
 		snapexists $ds && \
-			log_must $ZFS destroy -rR $ds
+			log_must zfs destroy -rR $ds
 	done
 	for data in ${file[*]}; do
-		[[ -e $data ]] && $RM -f $data
+		[[ -e $data ]] && rm -f $data
 	done
 
 }
@@ -91,18 +91,18 @@
 # setup for promote testing
 typeset -i i=0
 while (( i < 4 )); do
-	log_must $MKFILE $FILESIZE ${file[i]}
-	(( i>0 )) && log_must $RM -f ${file[((i-1))]}
-	log_must $ZFS snapshot ${snap[i]}
+	log_must mkfile $FILESIZE ${file[i]}
+	(( i>0 )) && log_must rm -f ${file[((i-1))]}
+	log_must zfs snapshot ${snap[i]}
 
 	(( i = i + 1 ))
 done
-log_must $ZFS clone ${snap[2]} $clone
-log_must $MKFILE $FILESIZE /$clone/$CLONEFILE
-log_must $RM -f /$clone/$TESTFILE2
-log_must $ZFS snapshot ${csnap[3]}
+log_must zfs clone ${snap[2]} $clone
+log_must mkfile $FILESIZE /$clone/$CLONEFILE
+log_must rm -f /$clone/$TESTFILE2
+log_must zfs snapshot ${csnap[3]}
 
-log_must $ZFS promote $clone
+log_must zfs promote $clone
 
 # verify the 'promote' operation
 for ds in ${snap[3]} ${csnap[*]}; do
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_004_pos.ksh	Wed Aug 31 16:20:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_004_pos.ksh	Wed Aug 31 16:20:38 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_promote/zfs_promote.cfg
@@ -47,7 +47,7 @@
 function cleanup
 {
 	if snapexists ${c1snap[1]}; then
-		log_must $ZFS promote $clone
+		log_must zfs promote $clone
 	fi
 
 	typeset ds
@@ -54,10 +54,10 @@
 	typeset data
 	for ds in ${snap[*]}; do
 		snapexists $ds && \
-			log_must $ZFS destroy -rR $ds
+			log_must zfs destroy -rR $ds
 	done
 	for data in ${file[*]}; do
-		[[ -e $data ]] && $RM -f $data
+		[[ -e $data ]] && rm -f $data
 	done
 }
 
@@ -91,30 +91,30 @@
 # setup for promote testing
 typeset -i i=0
 while (( i < 4 )); do
-	log_must $MKFILE $FILESIZE ${file[i]}
-	(( i>0 )) && log_must $RM -f ${file[((i-1))]}
-	log_must $ZFS snapshot ${snap[i]}
+	log_must mkfile $FILESIZE ${file[i]}
+	(( i>0 )) && log_must rm -f ${file[((i-1))]}
+	log_must zfs snapshot ${snap[i]}
 
 	(( i = i + 1 ))
 done
-log_must $ZFS clone ${snap[2]} $clone
+log_must zfs clone ${snap[2]} $clone
 
-log_must $RM -f /$clone/$TESTFILE2
+log_must rm -f /$clone/$TESTFILE2
 i=0
 while (( i < 3 )); do
-	log_must $MKFILE $FILESIZE ${cfile[i]}
-	(( i>0 )) && log_must $RM -f ${cfile[(( i-1 ))]}
-	log_must $ZFS snapshot ${csnap[i]}
+	log_must mkfile $FILESIZE ${cfile[i]}
+	(( i>0 )) && log_must rm -f ${cfile[(( i-1 ))]}
+	log_must zfs snapshot ${csnap[i]}
 
 	(( i = i + 1 ))
 done
 
-log_must $ZFS clone ${csnap[1]} $clone1
-log_must $MKFILE $FILESIZE /$clone1/$CLONEFILE2
-log_must $RM -f /$clone1/$CLONEFILE1
-log_must $ZFS snapshot ${c1snap[2]}
+log_must zfs clone ${csnap[1]} $clone1
+log_must mkfile $FILESIZE /$clone1/$CLONEFILE2
+log_must rm -f /$clone1/$CLONEFILE1
+log_must zfs snapshot ${c1snap[2]}
 
-log_must $ZFS promote $clone1
+log_must zfs promote $clone1
 
 # verify the 'promote' operation
 for ds in ${snap[*]} ${csnap[2]} ${c1snap[*]}; do
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_005_pos.ksh	Wed Aug 31 16:20:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_005_pos.ksh	Wed Aug 31 16:20:38 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -42,13 +46,13 @@
 function cleanup
 {
 	if datasetexists $fssnap ; then
-		datasetexists $clone && log_must $ZFS destroy $clone
-		log_must $ZFS destroy $fssnap
+		datasetexists $clone && log_must zfs destroy $clone
+		log_must zfs destroy $fssnap
 	fi
 	if datasetexists $clone ; then
-		log_must $ZFS promote $fs
-		log_must $ZFS destroy $clone
-		log_must $ZFS destroy $fssnap
+		log_must zfs promote $fs
+		log_must zfs destroy $clone
+		log_must zfs destroy $fssnap
 	fi
 }
 
@@ -59,11 +63,11 @@
 clone=$TESTPOOL/$TESTCLONE
 fssnap=$fs@fssnap
 
-log_must $ZFS snapshot $fssnap
-log_must $ZFS clone $fssnap $clone
-log_must $ZFS unmount $fs
-log_must $ZFS promote $clone
-log_must $ZFS unmount $clone
-log_must $ZFS promote $fs
+log_must zfs snapshot $fssnap
+log_must zfs clone $fssnap $clone
+log_must zfs unmount $fs
+log_must zfs promote $clone
+log_must zfs unmount $clone
+log_must zfs promote $fs
 
 log_pass "Unmount original fs, 'zfs promote' passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_006_neg.ksh	Wed Aug 31 16:20:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_006_neg.ksh	Wed Aug 31 16:20:38 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -54,7 +59,7 @@
 function cleanup
 {
 	if datasetexists $clone; then
-		log_must $ZFS destroy $clone
+		log_must zfs destroy $clone
 	fi
 
 	if snapexists $snap; then
@@ -67,12 +72,12 @@
 
 snap=$TESTPOOL/$TESTFS@$TESTSNAP
 clone=$TESTPOOL/$TESTCLONE
-log_must $ZFS snapshot $snap
-log_must $ZFS clone $snap $clone
+log_must zfs snapshot $snap
+log_must zfs clone $snap $clone
 
 typeset -i i=0
 while (( i < ${#args[*]} )); do
-	log_mustnot $ZFS promote ${args[i]}
+	log_mustnot zfs promote ${args[i]}
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_007_neg.ksh	Wed Aug 31 16:20:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_007_neg.ksh	Wed Aug 31 16:20:38 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/zfs_promote/zfs_promote.cfg
@@ -48,11 +48,11 @@
 function cleanup
 {
 	snapexists $snap && \
-		log_must $ZFS destroy -rR $snap
+		log_must zfs destroy -rR $snap
 
 	typeset data
 	for data in $TESTDIR/$TESTFILE0 $TESTDIR/$TESTFILE1; do
-		[[ -e $data ]] && $RM -f $data
+		[[ -e $data ]] && rm -f $data
 	done
 }
 
@@ -64,15 +64,15 @@
 clonesnap=$TESTPOOL/$TESTCLONE@$TESTSNAP
 
 # setup for promte testing
-log_must $MKFILE $FILESIZE $TESTDIR/$TESTFILE0
-log_must $ZFS snapshot $snap
-log_must $MKFILE $FILESIZE $TESTDIR/$TESTFILE1
-log_must $RM -f $TESTDIR/$TESTFILE0
-log_must $ZFS clone $snap $clone
-log_must $MKFILE $FILESIZE /$clone/$CLONEFILE
-log_must $ZFS snapshot $clonesnap
+log_must mkfile $FILESIZE $TESTDIR/$TESTFILE0
+log_must zfs snapshot $snap
+log_must mkfile $FILESIZE $TESTDIR/$TESTFILE1
+log_must rm -f $TESTDIR/$TESTFILE0
+log_must zfs clone $snap $clone
+log_must mkfile $FILESIZE /$clone/$CLONEFILE
+log_must zfs snapshot $clonesnap
 
-log_mustnot $ZFS promote $clone
+log_mustnot zfs promote $clone
 
 log_pass "'zfs promote' deals with name conflicts as expected."
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_008_pos.ksh	Wed Aug 31 16:20:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_promote/zfs_promote_008_pos.ksh	Wed Aug 31 16:20:38 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -41,10 +46,10 @@
 function cleanup
 {
 	if snapexists $csnap; then
-		log_must $ZFS promote $vol
+		log_must zfs promote $vol
 	fi
 
-	log_must $ZFS destroy -rR $snap
+	log_must zfs destroy -rR $snap
 }
 
 log_assert "'zfs promote' can promote a volume clone."
@@ -56,11 +61,11 @@
 csnap=$clone@$TESTSNAP
 
 if ! snapexists $snap ; then
-	log_must $ZFS snapshot $snap
-	log_must $ZFS clone $snap $clone
+	log_must zfs snapshot $snap
+	log_must zfs clone $snap $clone
 fi
 
-log_must $ZFS promote $clone
+log_must zfs promote $clone
 
 # verify the 'promote' operation
 ! snapexists $csnap && \
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_property/zfs_written_property_001_pos.ksh	Wed Aug 31 16:20:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_property/zfs_written_property_001_pos.ksh	Wed Aug 31 16:20:38 2016
@@ -11,7 +11,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 #
@@ -36,7 +36,7 @@
 function cleanup
 {
 	for ds in $datasets; do
-		datasetexists $ds && log_must $ZFS destroy -R $TESTPOOL/$TESTFS1
+		datasetexists $ds && log_must zfs destroy -R $TESTPOOL/$TESTFS1
 	done
 }
 function get_prop_mb
@@ -45,7 +45,7 @@
 	typeset dataset=$2
 	typeset -l value=$(get_prop $prop $dataset)
 	((value = value / mb_block))
-	$ECHO $value
+	echo $value
 }
 
 datasets="$TESTPOOL/$TESTFS1 $TESTPOOL/$TESTFS1/$TESTFS2 \
@@ -67,12 +67,12 @@
 ((mb_block = 1024 * 1024))
 
 log_note "verify written property statistics for dataset"
-log_must $ZFS create -p $TESTPOOL/$TESTFS1/$TESTFS2/$TESTFS3
+log_must zfs create -p $TESTPOOL/$TESTFS1/$TESTFS2/$TESTFS3
 for i in 1 2 3; do
-	log_must $ZFS snapshot $TESTPOOL/$TESTFS1@snap$i
-	log_must $DD if=/dev/urandom of=/$TESTPOOL/$TESTFS1/testfile.$i bs=1M \
+	log_must zfs snapshot $TESTPOOL/$TESTFS1@snap$i
+	log_must dd if=/dev/urandom of=/$TESTPOOL/$TESTFS1/testfile.$i bs=1M \
 	    count=$blocks
-	log_must $SYNC
+	log_must sync
 	written=$(get_prop written $TESTPOOL/$TESTFS1)
 	((expected_written=blocks * mb_block))
 	within_percent $written $expected_written 99.5 || \
@@ -114,9 +114,9 @@
 done
 log_note "delete data"
 before_written=$(get_prop written $TESTPOOL/$TESTFS1)
-log_must $RM /$TESTPOOL/$TESTFS1/testfile.3
+log_must rm /$TESTPOOL/$TESTFS1/testfile.3
 snap3_size=0
-log_must $SYNC
+log_must sync
 written=$(get_prop written $TESTPOOL/$TESTFS1)
 writtenat3=$(get_prop written@snap3 $TESTPOOL/$TESTFS1)
 [[ $written -eq $writtenat3 ]] || \
@@ -136,9 +136,9 @@
 
 log_note "write data"
 blocks=20
-log_must $DD if=/dev/urandom of=/$TESTPOOL/$TESTFS1/testfile.3 bs=1M \
+log_must dd if=/dev/urandom of=/$TESTPOOL/$TESTFS1/testfile.3 bs=1M \
     count=$blocks
-log_must $SYNC
+log_must sync
 written=$(get_prop written $TESTPOOL/$TESTFS1)
 writtenat1=$(get_prop written@snap1 $TESTPOOL/$TESTFS1)
 writtenat2=$(get_prop written@snap2 $TESTPOOL/$TESTFS1)
@@ -160,8 +160,8 @@
 
 log_note "write data to a clone"
 before_clone=$(get_prop written $TESTPOOL/$TESTFS1)
-log_must $ZFS clone $TESTPOOL/$TESTFS1@snap1 $TESTPOOL/$TESTFS1/snap1.clone
-log_must $DD if=/dev/urandom of=/$TESTPOOL/$TESTFS1/snap1.clone/testfile bs=1M \
+log_must zfs clone $TESTPOOL/$TESTFS1@snap1 $TESTPOOL/$TESTFS1/snap1.clone
+log_must dd if=/dev/urandom of=/$TESTPOOL/$TESTFS1/snap1.clone/testfile bs=1M \
     count=40
 after_clone=$(get_prop written $TESTPOOL/$TESTFS1)
 [[ $before_clone -eq $after_clone ]] || \
@@ -172,9 +172,9 @@
 typeset -l before_written3=$(get_prop_mb written@snap3 $TESTPOOL/$TESTFS1)
 typeset -l snap_before_written2=$(get_prop_mb written $TESTPOOL/$TESTFS1@snap2)
 typeset -l snap_before_written3=$(get_prop_mb written $TESTPOOL/$TESTFS1@snap3)
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap2
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap2
 log_mustnot snapexists $TESTPOOL/$TESTFS1@snap2
-log_must $SYNC
+log_must sync
 written1=$(get_prop_mb written@snap1 $TESTPOOL/$TESTFS1)
 written3=$(get_prop_mb written@snap3 $TESTPOOL/$TESTFS1)
 [[ $before_written1 -eq $written1 && $before_written3 -eq $written3 ]] || \
@@ -185,7 +185,7 @@
 within_percent $prev_written $expected_written3 99.5 || \
     log_fail "unexpected written value $prev_written $expected_written3"
 
-log_must $ZFS destroy $TESTPOOL/$TESTFS1@snap3
+log_must zfs destroy $TESTPOOL/$TESTFS1@snap3
 log_mustnot snapexists $TESTPOOL/$TESTFS1@snap3
 written=$(get_prop written $TESTPOOL/$TESTFS1)
 writtenat1=$(get_prop written@snap1 $TESTPOOL/$TESTFS1)
@@ -194,13 +194,13 @@
 
 log_note "verify written@ property for recursive datasets"
 blocks=10
-log_must $ZFS snapshot -r $TESTPOOL/$TESTFS1@now
+log_must zfs snapshot -r $TESTPOOL/$TESTFS1@now
 for ds in $datasets; do
 	writtenat=$(get_prop written@now $ds)
 	[[ $writtenat -ne 0 ]] && \
 	    log_fail "Unexpected written@ value"
-	log_must $DD if=/dev/urandom of=/$ds/testfile bs=1M count=$blocks
-	log_must $SYNC
+	log_must dd if=/dev/urandom of=/$ds/testfile bs=1M count=$blocks
+	log_must sync
 	writtenat=$(get_prop written@now $ds)
 	((expected_writtenat = blocks * mb_block))
 	within_percent $writtenat $expected_writtenat 0.1 || \
@@ -211,18 +211,18 @@
 log_note "verify written@ output for recursive datasets"
 blocks=20
 for ds in $datasets; do
-	log_must $ZFS snapshot $ds@current
-	log_must $DD if=/dev/urandom of=/$ds/testfile bs=1M \
+	log_must zfs snapshot $ds@current
+	log_must dd if=/dev/urandom of=/$ds/testfile bs=1M \
 	    count=$blocks
-	log_must $SYNC
+	log_must sync
 done
-recursive_output=$($ZFS get -r written@current $TESTPOOL | \
-    $GREP -v $TESTFS1@ | $GREP -v $TESTFS2@ | $GREP -v $TESTFS3@ | \
-    $GREP -v "VALUE" | $GREP -v "-")
+recursive_output=$(zfs get -r written@current $TESTPOOL | \
+    grep -v $TESTFS1@ | grep -v $TESTFS2@ | grep -v $TESTFS3@ | \
+    grep -v "VALUE" | grep -v "-")
 expected="20.0M"
 for ds in $datasets; do
-	writtenat=$($ECHO "$recursive_output" | $GREP -v $ds/)
-	writtenat=$($ECHO "$writtenat" | $GREP $ds | $AWK '{print $3}')
+	writtenat=$(echo "$recursive_output" | grep -v $ds/)
+	writtenat=$(echo "$writtenat" | grep $ds | awk '{print $3}')
 	[[ $writtenat == $expected ]] || \
 	    log_fail "recursive written property output mismatch"
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_001_pos.ksh	Wed Aug 31 16:20:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_001_pos.ksh	Wed Aug 31 16:20:38 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/cli_common.kshlib
@@ -49,27 +49,27 @@
 	typeset -i i=0
 
 	datasetexists $rst_root && \
-		log_must $ZFS destroy -Rf $rst_root
+		log_must zfs destroy -Rf $rst_root
 	while (( i < 2 )); do
 		snapexists ${orig_snap[$i]} && \
-			log_must $ZFS destroy -f ${orig_snap[$i]}
-		log_must $RM -f ${bkup[$i]}
+			log_must zfs destroy -f ${orig_snap[$i]}
+		log_must rm -f ${bkup[$i]}
 
 		(( i = i + 1 ))
 	done
 
-	log_must $RM -rf $TESTDIR1
+	log_must rm -rf $TESTDIR1
 }
 
 function recreate_root
 {
 	datasetexists $rst_root && \
-		log_must $ZFS destroy -Rf $rst_root
+		log_must zfs destroy -Rf $rst_root
 	if [[ -d $TESTDIR1 ]] ; then
-		log_must $RM -rf $TESTDIR1
+		log_must rm -rf $TESTDIR1
 	fi
-	log_must $ZFS create $rst_root
-	log_must $ZFS set mountpoint=$TESTDIR1 $rst_root
+	log_must zfs create $rst_root
+	log_must zfs set mountpoint=$TESTDIR1 $rst_root
 }
 
 log_assert "Verifying 'zfs receive [<filesystem|snapshot>] -d <filesystem>' works."
@@ -108,15 +108,15 @@
 
 	typeset -i i=0
 	while (( i < ${#orig_snap[*]} )); do
-		$FILE_WRITE -o create -f ${orig_data[$i]} -b 512 \
+		file_write -o create -f ${orig_data[$i]} -b 512 \
 		    -c 8 >/dev/null 2>&1
 		(( $? != 0 )) && \
 			log_fail "Writing data into zfs filesystem fails."
-		log_must $ZFS snapshot ${orig_snap[$i]}
+		log_must zfs snapshot ${orig_snap[$i]}
 		if (( i < 1 )); then
-			log_must eval "$ZFS send ${orig_snap[$i]} > ${bkup[$i]}"
+			log_must eval "zfs send ${orig_snap[$i]} > ${bkup[$i]}"
 		else
-			log_must eval "$ZFS send -i ${orig_snap[(( i - 1 ))]} \
+			log_must eval "zfs send -i ${orig_snap[(( i - 1 ))]} \
 				${orig_snap[$i]} > ${bkup[$i]}"
 		fi
 
@@ -127,9 +127,9 @@
 	i=0
 	while (( i < ${#bkup[*]} )); do
 		if (( i > 0 )); then
-			log_must $ZFS rollback ${rst_snap[0]}
+			log_must zfs rollback ${rst_snap[0]}
 		fi
-		log_must eval "$ZFS receive $rst_fs < ${bkup[$i]}"
+		log_must eval "zfs receive $rst_fs < ${bkup[$i]}"
 		snapexists ${rst_snap[$i]} || \
 			log_fail "Restoring filesystem fails. ${rst_snap[$i]} not exist"
 		compare_cksum ${orig_data[$i]} ${rst_data[$i]}
@@ -137,15 +137,15 @@
 		(( i = i + 1 ))
 	done
 
-	log_must $ZFS destroy -Rf $rst_fs
+	log_must zfs destroy -Rf $rst_fs
 
 	log_note "Verifying 'zfs receive <snapshot>' works."
 	i=0
 	while (( i < ${#bkup[*]} )); do
 		if (( i > 0 )); then
-			log_must $ZFS rollback ${rst_snap[0]}
+			log_must zfs rollback ${rst_snap[0]}
 		fi
-		log_must eval "$ZFS receive ${rst_snap[$i]} <${bkup[$i]}"
+		log_must eval "zfs receive ${rst_snap[$i]} <${bkup[$i]}"
 		snapexists ${rst_snap[$i]} || \
 			log_fail "Restoring filesystem fails. ${rst_snap[$i]} not exist"
 		compare_cksum ${orig_data[$i]} ${rst_data[$i]}
@@ -153,7 +153,7 @@
 		(( i = i + 1 ))
 	done
 
-	log_must $ZFS destroy -Rf $rst_fs
+	log_must zfs destroy -Rf $rst_fs
 
 	log_note "Verfiying 'zfs receive -d <filesystem>' works."
 
@@ -160,9 +160,9 @@
 	i=0
 	while (( i < ${#bkup[*]} )); do
 		if (( i > 0 )); then
-			log_must $ZFS rollback ${rst_snap2[0]}
+			log_must zfs rollback ${rst_snap2[0]}
 		fi
-		log_must eval "$ZFS receive -d -F $rst_root <${bkup[$i]}"
+		log_must eval "zfs receive -d -F $rst_root <${bkup[$i]}"
 		snapexists ${rst_snap2[$i]} || \
 			log_fail "Restoring filesystem fails. ${rst_snap2[$i]} not exist"
 		compare_cksum ${orig_data[$i]} ${rst_data2[$i]}
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_002_pos.ksh	Wed Aug 31 16:20:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_receive/zfs_receive_002_pos.ksh	Wed Aug 31 16:20:39 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/cli_common.kshlib
 
 #
@@ -47,11 +51,11 @@
 
 	while (( i < ${#orig_snap[*]} )); do
 		snapexists ${rst_snap[$i]} && \
-			log_must $ZFS destroy -f ${rst_snap[$i]}
+			log_must zfs destroy -f ${rst_snap[$i]}
 		snapexists ${orig_snap[$i]} && \
-			log_must $ZFS destroy -f ${orig_snap[$i]}
+			log_must zfs destroy -f ${orig_snap[$i]}
 		[[ -e ${bkup[$i]} ]] && \
-			log_must $RM -rf ${bkup[$i]}
+			log_must rm -rf ${bkup[$i]}
 
 		(( i = i + 1 ))
 	done
@@ -58,7 +62,7 @@
 
 	for ds in $rst_vol $rst_root; do
 		datasetexists $ds && \
-			log_must $ZFS destroy -Rf $ds
+			log_must zfs destroy -Rf $ds
 	done
 }
 
@@ -74,18 +78,18 @@
 #
 # Preparations for testing
 #
-log_must $ZFS create $rst_root
+log_must zfs create $rst_root
 [[ ! -d $TESTDIR1 ]] && \
-	log_must $MKDIR -p $TESTDIR1
-log_must $ZFS set mountpoint=$TESTDIR1 $rst_root
+	log_must mkdir -p $TESTDIR1
+log_must zfs set mountpoint=$TESTDIR1 $rst_root
 
 typeset -i i=0
 while (( i < ${#orig_snap[*]} )); do
-	log_must $ZFS snapshot ${orig_snap[$i]}
+	log_must zfs snapshot ${orig_snap[$i]}
 	if (( i < 1 )); then
-		log_must eval "$ZFS send ${orig_snap[$i]} > ${bkup[$i]}"
+		log_must eval "zfs send ${orig_snap[$i]} > ${bkup[$i]}"
 	else
-		log_must eval "$ZFS send -i ${orig_snap[(( i - 1 ))]} \
+		log_must eval "zfs send -i ${orig_snap[(( i - 1 ))]} \
 				${orig_snap[$i]} > ${bkup[$i]}"
 	fi
 
@@ -94,7 +98,7 @@
 
 i=0
 while (( i < ${#bkup[*]} )); do
-	log_must eval "$ZFS receive $rst_vol < ${bkup[$i]}"
+	log_must eval "zfs receive $rst_vol < ${bkup[$i]}"
 	! datasetexists $rst_vol || ! snapexists ${rst_snap[$i]} && \
 		log_fail "Restoring volume fails."
 
